'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

exports.default = function (_ref) {
  var t = _ref.types;

  return {
    visitor: {
      Identifier: function Identifier(p, state) {
        var node = p.node;
        var name = node.name;
        var type = node.type;


        var config = { trim: state.opts.trim };
        var parent = _path2.default.resolve(_path2.default.join(process.cwd(), '..')) + _path2.default.sep;
        var fp = this.file.opts.filename.replace(parent, '');
        var file = { path: fp };
        //TODO: Support labels
        var moduleTag = _reactServerModuleTagger2.default.bind({ file: file, config: config })(fp);

        var tokens = void 0;
        if (state.opts.tokens) {
          tokens = new Set(state.opts.tokens);
        } else {
          tokens = new Set(["__LOGGER__", "__CHANNEL__", "__CACHE__"]);
        }

        if (tokens.has(name)) {
          // this strikes me as a dirty, nasty hack.  I think it would be better
          // to parse the object as json and coerce it to an array of
          // ObjectProperties to construct an ObjectExpression
          p.node.name = moduleTag;
        }
      }
    }
  };
};

var _reactServerModuleTagger = require('react-server-module-tagger');

var _reactServerModuleTagger2 = _interopRequireDefault(_reactServerModuleTagger);

var _path = require('path');

var _path2 = _interopRequireDefault(_path);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }